Subject: Re: different calendar systems

From: [email-masked]
Date: Mon, 22 Sep 2003 02:11:50 +0000

My 1.5 cents worth:

I believe that what we have is sufficient to implement different calendar 
systems, with a couple of small changes. In 10.7, the reply to the GET-
CAPABILITY command needs to include the CALSCALE property, with all of its 
values (not just the first) as a required item to return:

   cap-vreply     = "BEGIN" ":" "VCALENDAR" CRLF
                   ; The following properties may be in any order.
                   ;
                    prodid
                    version
                    reply-cmd
                    other-props
                    "BEGIN" ":" "VREPLY" CRLF
                    ; The following properties may be in any order.
                    ;
                    cap-version
                    car-level
                    components
                    calscale-props
                    stores-expanded
                    maxdate
                    mindate
                    itip-version
                    max-comp-size
                    multipart
                    query-level
                    recur-accepted
                    recur-expand
                    recur-limit
                    other-props
                    "END" ":" "VREPLY" CRLF
                   "END" ":" "VCALENDAR" CRLF

This change allows the other end of a CAP session to determine immediately if 
its partner supports as one of its CALSCALEs the scale that it wants to use. 
We can, as I read CAP, already use VQUERY with TARGET to determine if a 
particular VAGENDA has a particular scale. I'm undecided about whether we need 
to specifically add new words for certain periods of time, or not, to 
accomodate recurrence rules in other scales, but that I feel is an 
iCAL/RFC2445 issue and not a CAP issue per se. Recurrence rules and their 
grammar are already a complex issue, I'd rather not drag them into CAP.

Therefore, I propose that we change 10.7 to include the calscale-props as a 
required return to the GET-CAPABILITY command, and that we modify the example 
to reflect that by including a CALSCALE: GREGORIAN, HEBREW, JALALIL CRLF 
example. Do you all concur that this would help, and do you want to add this 
small change to CAP?

Tim Hare
Interested Bystander, non-inc.